## org.eclipse.jst.pagedesigner.dtmanager.dtinfo
Interface DTInfoPackage

    public interface DTInfoPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Provisional API - subject to change

See Also:
  `DTInfoFactory`

Nested Class Summary
`static interface` `DTInfoPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static java.lang.String` `copyright`
`static int` `DT_INFO` The meta object id for the '`DT Info`' class
`static int` `DT_INFO__TAG_CONVERT_INFO` The feature id for the 'Tag Convert Info' containment reference
`static int` `DT_INFO__TAG_DECORATE_INFOS` The feature id for the 'Tag Decorate Infos' containment reference list
`static int` `DT_INFO_FEATURE_COUNT` The number of structural features of the 'DT Info' class
`static DTInfoPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `OPERATION` The meta object id for the '`Operation`' class
`static int` `OPERATION__ID` The feature id for the 'Id' attribute
`static int` `OPERATION__OPERATIONS` The feature id for the 'Operations' containment reference list
`static int` `OPERATION__PARAMETERS` The feature id for the 'Parameters' containment reference list
`static int` `OPERATION_FEATURE_COUNT` The number of structural features of the 'Operation' class
`static int` `PARAMETER` The meta object id for the '`Parameter`' class
`static int` `PARAMETER__VALUE` The feature id for the 'Value' attribute
`static int` `PARAMETER_FEATURE_COUNT` The number of structural features of the 'Parameter' class
`static int` `RESOLVE_ATTRIBUTE_VALUE` The meta object id for the '`Resolve Attribute Value`' class
`static int` `RESOLVE_ATTRIBUTE_VALUE__ATTRIBUTE_NAME` The feature id for the 'Attribute Name' attribute
`static int` `RESOLVE_ATTRIBUTE_VALUE_FEATURE_COUNT` The number of structural features of the 'Resolve Attribute Value' class
`static int` `TAG_CONVERT_INFO` The meta object id for the '`Tag Convert Info`' class
`static int` `TAG_CONVERT_INFO__OPERATIONS` The feature id for the 'Operations' containment reference list
`static int` `TAG_CONVERT_INFO_FEATURE_COUNT` The number of structural features of the 'Tag Convert Info' class
`static int` `TAG_DECORATE_INFO` The meta object id for the '`Tag Decorate Info`' class
`static int` `TAG_DECORATE_INFO__ID` The feature id for the 'Id' attribute
`static int` `TAG_DECORATE_INFO__MIN_HEIGHT` The feature id for the 'Min Height' attribute
`static int` `TAG_DECORATE_INFO__MIN_WIDTH` The feature id for the 'Min Width' attribute
`static int` `TAG_DECORATE_INFO__MULTI_LEVEL` The feature id for the 'Multi Level' attribute
`static int` `TAG_DECORATE_INFO__NEED_BORDER_DECORATOR` The feature id for the 'Need Border Decorator' attribute
`static int` `TAG_DECORATE_INFO__NEED_TABLE_DECORATOR` The feature id for the 'Need Table Decorator' attribute
`static int` `TAG_DECORATE_INFO__NON_VISUAL` The feature id for the 'Non Visual' attribute
`static int` `TAG_DECORATE_INFO__NON_VISUAL_IMAGE_PATH` The feature id for the 'Non Visual Image Path' attribute
`static int` `TAG_DECORATE_INFO__RESOLVE_ATTRIBUTE_VALUE` The feature id for the 'Resolve Attribute Value' containment reference
`static int` `TAG_DECORATE_INFO__RESOLVE_CHILD_TEXT` The feature id for the 'Resolve Child Text' attribute
`static int` `TAG_DECORATE_INFO__SET_NON_VISUAL_CHILD_ELEMENTS` The feature id for the 'Set Non Visual Child Elements' attribute
`static int` `TAG_DECORATE_INFO__WIDGET` The feature id for the 'Widget' attribute
`static int` `TAG_DECORATE_INFO_FEATURE_COUNT` The number of structural features of the 'Tag Decorate Info' class

Method Summary
`EReference` `getDTInfo_TagConvertInfo()` Returns the meta object for the containment reference '`Tag Convert Info`'
`EReference` `getDTInfo_TagDecorateInfos()` Returns the meta object for the containment reference list '`Tag Decorate Infos`'
`EClass` `getDTInfo()` Returns the meta object for class '`DT Info`'
`DTInfoFactory` `getDTInfoFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getOperation_Id()` Returns the meta object for the attribute '`Id`'
`EReference` `getOperation_Operations()` Returns the meta object for the containment reference list '`Operations`'
`EReference` `getOperation_Parameters()` Returns the meta object for the containment reference list '`Parameters`'
`EClass` `getOperation()` Returns the meta object for class '`Operation`'
`EAttribute` `getParameter_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getParameter()` Returns the meta object for class '`Parameter`'
`EAttribute` `getResolveAttributeValue_AttributeName()` Returns the meta object for the attribute '`Attribute Name`'
`EClass` `getResolveAttributeValue()` Returns the meta object for class '`Resolve Attribute Value`'
`EReference` `getTagConvertInfo_Operations()` Returns the meta object for the containment reference list '`Operations`'
`EClass` `getTagConvertInfo()` Returns the meta object for class '`Tag Convert Info`'
`EAttribute` `getTagDecorateInfo_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getTagDecorateInfo_MinHeight()` Returns the meta object for the attribute '`Min Height`'
`EAttribute` `getTagDecorateInfo_MinWidth()` Returns the meta object for the attribute '`Min Width`'
`EAttribute` `getTagDecorateInfo_MultiLevel()` Returns the meta object for the attribute '`Multi Level`'
`EAttribute` `getTagDecorateInfo_NeedBorderDecorator()` Returns the meta object for the attribute '`Need Border Decorator`'
`EAttribute` `getTagDecorateInfo_NeedTableDecorator()` Returns the meta object for the attribute '`Need Table Decorator`'
`EAttribute` `getTagDecorateInfo_NonVisual()` Returns the meta object for the attribute '`Non Visual`'
`EAttribute` `getTagDecorateInfo_NonVisualImagePath()` Returns the meta object for the attribute '`Non Visual Image Path`'
`EReference` `getTagDecorateInfo_ResolveAttributeValue()` Returns the meta object for the containment reference '`Resolve Attribute Value`'
`EAttribute` `getTagDecorateInfo_ResolveChildText()` Returns the meta object for the attribute '`Resolve Child Text`'
`EAttribute` `getTagDecorateInfo_SetNonVisualChildElements()` Returns the meta object for the attribute '`Set Non Visual Child Elements`'
`EAttribute` `getTagDecorateInfo_Widget()` Returns the meta object for the attribute '`Widget`'
`EClass` `getTagDecorateInfo()` Returns the meta object for class '`Tag Decorate Info`'

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DTInfoPackage eINSTANCE

  The singleton instance of the package.

### DT_INFO

    static final int DT_INFO

  The meta object id for the '`DT Info`' class.

  See Also:
    `DTInfoImpl`, `DTInfoPackageImpl.getDTInfo()`, Constant Field Values

### DT_INFO__TAG_CONVERT_INFO

    static final int DT_INFO__TAG_CONVERT_INFO

  The feature id for the 'Tag Convert Info' containment reference.

  See Also:
    Constant Field Values

### DT_INFO__TAG_DECORATE_INFOS

    static final int DT_INFO__TAG_DECORATE_INFOS

  The feature id for the 'Tag Decorate Infos' containment reference list.

  See Also:
    Constant Field Values

### DT_INFO_FEATURE_COUNT

    static final int DT_INFO_FEATURE_COUNT

  The number of structural features of the 'DT Info' class.

  See Also:
    Constant Field Values

### TAG_CONVERT_INFO

    static final int TAG_CONVERT_INFO

  The meta object id for the '`Tag Convert Info`' class.

  See Also:
    `TagConvertInfoImpl`, `DTInfoPackageImpl.getTagConvertInfo()`, Constant Field Values

### TAG_CONVERT_INFO__OPERATIONS

    static final int TAG_CONVERT_INFO__OPERATIONS

  The feature id for the 'Operations' containment reference list.

  See Also:
    Constant Field Values

### TAG_CONVERT_INFO_FEATURE_COUNT

    static final int TAG_CONVERT_INFO_FEATURE_COUNT

  The number of structural features of the 'Tag Convert Info' class.

  See Also:
    Constant Field Values

### OPERATION

    static final int OPERATION

  The meta object id for the '`Operation`' class.

  See Also:
    `OperationImpl`, `DTInfoPackageImpl.getOperation()`, Constant Field Values

### OPERATION__ID

    static final int OPERATION__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### OPERATION__PARAMETERS

    static final int OPERATION__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### OPERATION__OPERATIONS

    static final int OPERATION__OPERATIONS

  The feature id for the 'Operations' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_FEATURE_COUNT

    static final int OPERATION_FEATURE_COUNT

  The number of structural features of the 'Operation' class.

  See Also:
    Constant Field Values

### PARAMETER

    static final int PARAMETER

  The meta object id for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `DTInfoPackageImpl.getParameter()`, Constant Field Values

### PARAMETER__VALUE

    static final int PARAMETER__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### PARAMETER_FEATURE_COUNT

    static final int PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Parameter' class.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO

    static final int TAG_DECORATE_INFO

  The meta object id for the '`Tag Decorate Info`' class.

  See Also:
    `TagDecorateInfoImpl`, `DTInfoPackageImpl.getTagDecorateInfo()`, Constant Field Values

### TAG_DECORATE_INFO__ID

    static final int TAG_DECORATE_INFO__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__MIN_HEIGHT

    static final int TAG_DECORATE_INFO__MIN_HEIGHT

  The feature id for the 'Min Height' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__MIN_WIDTH

    static final int TAG_DECORATE_INFO__MIN_WIDTH

  The feature id for the 'Min Width' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__MULTI_LEVEL

    static final int TAG_DECORATE_INFO__MULTI_LEVEL

  The feature id for the 'Multi Level' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__NEED_BORDER_DECORATOR

    static final int TAG_DECORATE_INFO__NEED_BORDER_DECORATOR

  The feature id for the 'Need Border Decorator' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__NEED_TABLE_DECORATOR

    static final int TAG_DECORATE_INFO__NEED_TABLE_DECORATOR

  The feature id for the 'Need Table Decorator' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__NON_VISUAL

    static final int TAG_DECORATE_INFO__NON_VISUAL

  The feature id for the 'Non Visual' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__NON_VISUAL_IMAGE_PATH

    static final int TAG_DECORATE_INFO__NON_VISUAL_IMAGE_PATH

  The feature id for the 'Non Visual Image Path' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__RESOLVE_CHILD_TEXT

    static final int TAG_DECORATE_INFO__RESOLVE_CHILD_TEXT

  The feature id for the 'Resolve Child Text' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__RESOLVE_ATTRIBUTE_VALUE

    static final int TAG_DECORATE_INFO__RESOLVE_ATTRIBUTE_VALUE

  The feature id for the 'Resolve Attribute Value' containment reference.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__SET_NON_VISUAL_CHILD_ELEMENTS

    static final int TAG_DECORATE_INFO__SET_NON_VISUAL_CHILD_ELEMENTS

  The feature id for the 'Set Non Visual Child Elements' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO__WIDGET

    static final int TAG_DECORATE_INFO__WIDGET

  The feature id for the 'Widget' attribute.

  See Also:
    Constant Field Values

### TAG_DECORATE_INFO_FEATURE_COUNT

    static final int TAG_DECORATE_INFO_FEATURE_COUNT

  The number of structural features of the 'Tag Decorate Info' class.

  See Also:
    Constant Field Values

### RESOLVE_ATTRIBUTE_VALUE

    static final int RESOLVE_ATTRIBUTE_VALUE

  The meta object id for the '`Resolve Attribute Value`' class.

  See Also:
    `ResolveAttributeValueImpl`, `DTInfoPackageImpl.getResolveAttributeValue()`, Constant Field Values

### RESOLVE_ATTRIBUTE_VALUE__ATTRIBUTE_NAME

    static final int RESOLVE_ATTRIBUTE_VALUE__ATTRIBUTE_NAME

  The feature id for the 'Attribute Name' attribute.

  See Also:
    Constant Field Values

### RESOLVE_ATTRIBUTE_VALUE_FEATURE_COUNT

    static final int RESOLVE_ATTRIBUTE_VALUE_FEATURE_COUNT

  The number of structural features of the 'Resolve Attribute Value' class.

  See Also:
    Constant Field Values

Method Detail

### getDTInfo

    EClass getDTInfo()

  Returns the meta object for class '`DT Info`'.

  Returns:
    the meta object for class 'DT Info'.
  See Also:
    `DTInfo`

### getDTInfo_TagConvertInfo

    EReference getDTInfo_TagConvertInfo()

  Returns the meta object for the containment reference '`Tag Convert Info`'.

  Returns:
    the meta object for the containment reference 'Tag Convert Info'.
  See Also:
    `DTInfo.getTagConvertInfo()`, `getDTInfo()`

### getDTInfo_TagDecorateInfos

    EReference getDTInfo_TagDecorateInfos()

  Returns the meta object for the containment reference list '`Tag Decorate Infos`'.

  Returns:
    the meta object for the containment reference list 'Tag Decorate Infos'.
  See Also:
    `DTInfo.getTagDecorateInfos()`, `getDTInfo()`

### getTagConvertInfo

    EClass getTagConvertInfo()

  Returns the meta object for class '`Tag Convert Info`'.

  Returns:
    the meta object for class 'Tag Convert Info'.
  See Also:
    `TagConvertInfo`

### getTagConvertInfo_Operations

    EReference getTagConvertInfo_Operations()

  Returns the meta object for the containment reference list '`Operations`'.

  Returns:
    the meta object for the containment reference list 'Operations'.
  See Also:
    `TagConvertInfo.getOperations()`, `getTagConvertInfo()`

### getOperation

    EClass getOperation()

  Returns the meta object for class '`Operation`'.

  Returns:
    the meta object for class 'Operation'.
  See Also:
    `Operation`

### getOperation_Id

    EAttribute getOperation_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `Operation.getId()`, `getOperation()`

### getOperation_Parameters

    EReference getOperation_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Operation.getParameters()`, `getOperation()`

### getOperation_Operations

    EReference getOperation_Operations()

  Returns the meta object for the containment reference list '`Operations`'.

  Returns:
    the meta object for the containment reference list 'Operations'.
  See Also:
    `Operation.getOperations()`, `getOperation()`

### getParameter

    EClass getParameter()

  Returns the meta object for class '`Parameter`'.

  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Value

    EAttribute getParameter_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Parameter.getValue()`, `getParameter()`

### getTagDecorateInfo

    EClass getTagDecorateInfo()

  Returns the meta object for class '`Tag Decorate Info`'.

  Returns:
    the meta object for class 'Tag Decorate Info'.
  See Also:
    `TagDecorateInfo`

### getTagDecorateInfo_Id

    EAttribute getTagDecorateInfo_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `TagDecorateInfo.getId()`, `getTagDecorateInfo()`

### getTagDecorateInfo_MinHeight

    EAttribute getTagDecorateInfo_MinHeight()

  Returns the meta object for the attribute '`Min Height`'.

  Returns:
    the meta object for the attribute 'Min Height'.
  See Also:
    `TagDecorateInfo.getMinHeight()`, `getTagDecorateInfo()`

### getTagDecorateInfo_MinWidth

    EAttribute getTagDecorateInfo_MinWidth()

  Returns the meta object for the attribute '`Min Width`'.

  Returns:
    the meta object for the attribute 'Min Width'.
  See Also:
    `TagDecorateInfo.getMinWidth()`, `getTagDecorateInfo()`

### getTagDecorateInfo_MultiLevel

    EAttribute getTagDecorateInfo_MultiLevel()

  Returns the meta object for the attribute '`Multi Level`'.

  Returns:
    the meta object for the attribute 'Multi Level'.
  See Also:
    `TagDecorateInfo.isMultiLevel()`, `getTagDecorateInfo()`

### getTagDecorateInfo_NeedBorderDecorator

    EAttribute getTagDecorateInfo_NeedBorderDecorator()

  Returns the meta object for the attribute '`Need Border Decorator`'.

  Returns:
    the meta object for the attribute 'Need Border Decorator'.
  See Also:
    `TagDecorateInfo.isNeedBorderDecorator()`, `getTagDecorateInfo()`

### getTagDecorateInfo_NeedTableDecorator

    EAttribute getTagDecorateInfo_NeedTableDecorator()

  Returns the meta object for the attribute '`Need Table Decorator`'.

  Returns:
    the meta object for the attribute 'Need Table Decorator'.
  See Also:
    `TagDecorateInfo.isNeedTableDecorator()`, `getTagDecorateInfo()`

### getTagDecorateInfo_NonVisual

    EAttribute getTagDecorateInfo_NonVisual()

  Returns the meta object for the attribute '`Non Visual`'.

  Returns:
    the meta object for the attribute 'Non Visual'.
  See Also:
    `TagDecorateInfo.isNonVisual()`, `getTagDecorateInfo()`

### getTagDecorateInfo_NonVisualImagePath

    EAttribute getTagDecorateInfo_NonVisualImagePath()

  Returns the meta object for the attribute '`Non Visual Image Path`'.

  Returns:
    the meta object for the attribute 'Non Visual Image Path'.
  See Also:
    `TagDecorateInfo.getNonVisualImagePath()`, `getTagDecorateInfo()`

### getTagDecorateInfo_ResolveChildText

    EAttribute getTagDecorateInfo_ResolveChildText()

  Returns the meta object for the attribute '`Resolve Child Text`'.

  Returns:
    the meta object for the attribute 'Resolve Child Text'.
  See Also:
    `TagDecorateInfo.isResolveChildText()`, `getTagDecorateInfo()`

### getTagDecorateInfo_ResolveAttributeValue

    EReference getTagDecorateInfo_ResolveAttributeValue()

  Returns the meta object for the containment reference '`Resolve Attribute Value`'.

  Returns:
    the meta object for the containment reference 'Resolve Attribute Value'.
  See Also:
    `TagDecorateInfo.getResolveAttributeValue()`, `getTagDecorateInfo()`

### getTagDecorateInfo_SetNonVisualChildElements

    EAttribute getTagDecorateInfo_SetNonVisualChildElements()

  Returns the meta object for the attribute '`Set Non Visual Child Elements`'.

  Returns:
    the meta object for the attribute 'Set Non Visual Child Elements'.
  See Also:
    `TagDecorateInfo.isSetNonVisualChildElements()`, `getTagDecorateInfo()`

### getTagDecorateInfo_Widget

    EAttribute getTagDecorateInfo_Widget()

  Returns the meta object for the attribute '`Widget`'.

  Returns:
    the meta object for the attribute 'Widget'.
  See Also:
    `TagDecorateInfo.isWidget()`, `getTagDecorateInfo()`

### getResolveAttributeValue

    EClass getResolveAttributeValue()

  Returns the meta object for class '`Resolve Attribute Value`'.

  Returns:
    the meta object for class 'Resolve Attribute Value'.
  See Also:
    `ResolveAttributeValue`

### getResolveAttributeValue_AttributeName

    EAttribute getResolveAttributeValue_AttributeName()

  Returns the meta object for the attribute '`Attribute Name`'.

  Returns:
    the meta object for the attribute 'Attribute Name'.
  See Also:
    `ResolveAttributeValue.getAttributeName()`, `getResolveAttributeValue()`

### getDTInfoFactory

    DTInfoFactory getDTInfoFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.